## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgfx/shadervarblockalloc.h File Reference

Block allocator for shader variables. More...

`#include "csextern.h"`
`#include "csutil/blockallocator.h"`
`#include "csutil/ref.h"`
`#include "csgfx/shadervar.h"`

Go to the source code of this file.

## Classes

class | csShaderVarBlockAlloc
| A block allocator for shader variables. More...

## Detailed Description

Block allocator for shader variables.

Definition in file shadervarblockalloc.h.